<?php

if (!function_exists('nature_light_setup')):

//Setup function
function nature_light_setup() {

//Adss theme support for custom menu
	register_nav_menus( array(
		'header-menu' => __('Header Menu', "nature-light")
	));

//Adds support for post thumbnails
	add_theme_support('post-thumbnails');

//Adss suppor for automatic feed links
	add_theme_support('automatic-feed-links');

//Defines content-width for theme validation
	global $content_width;
	$content_width = 960;

//Defines textdomain used in this theme
	load_theme_textdomain('nature-light', get_template_directory() . '/lang' );
}
add_action('after_setup_theme', 'nature_light_setup');
endif;

//wp_title filter, returning custom value for wp_title
function nature_light_wp_title($title, $sep) {
	global $paged, $page;
 
	if ( is_feed() ) {
		return $title;
	} // end if

  	if(( is_home() || is_front_page() )) {
    		$title = get_bloginfo('name');
  	}
 
	else{
		$title = get_bloginfo('name');
		$title .= $sep;
		$title .= get_the_title();
	}
	return $title;

}
add_filter( 'wp_title', 'nature_light_wp_title', 10, 2 );



//Registers widget area
function nature_light_widgets() {
	register_sidebar( array(
		'name' => 'Sidebar',
		'id' => 'default_sidebar',
		'before_widget' => '<div id="widget">',
		'after_widget' => '</div>',
		'before_title' => '<h3 id="widget_title">',
		'after_title' => '</h3>',
	) );
}
add_action('widgets_init', 'nature_light_widgets');


//Checks if post-thumbnail is portrait or not. Depending of that
//pictures have different sizes in articles
function nature_light_is_portrait($url){
	$imagesize=(getimagesize($url));
	//array 0 is height, 1 is width
	if ($imagesize[0] >= $imagesize[1]){return true;}
	else{return false;}
}

//Archive excerpt length
function nature_light_excerpt_length($length) {
	return 25;
}
add_filter('excerpt_length', 'nature_light_excerpt_length', 20);


//Text continues string for archive excerpt
function nature_light_excerpt_more($more) {
	return '...';
}
add_filter('excerpt_more', 'nature_light_excerpt_more');


//Custom header settings
require_once ( get_stylesheet_directory() . '/inc/nature-light-custom-header.php' );


//Custom layout for comments
function nature_light_custom_comment($comment, $args, $depth){
	$GLOBALS['comment'] = $comment;
?>

        <li id="comment-<?php comment_ID() ?>">
	<div id="comment-<?php comment_ID(); ?>" class="single-comment">
		<div class="comment-info">
            		<?php //get the avatar of the commentor
			echo get_avatar( $comment, 70 ); ?><br/>
			<strong><?php comment_author_link() ?></strong><br/>
			<?php comment_date('') ?> | <?php comment_time(); ?><br/>
			<?php echo comment_reply_link(array('depth' => $depth, 'max_depth' => $args['max_depth'])); ?><br/> 
			<?php edit_comment_link(); ?>
        	</div><!--.comment-info-->

        	<div class="comment-data">
        		<?php //if comment is under moderation, this line will be shown
			if ($comment->comment_approved == '0') { ?>
					<em><?php _e("Your comment is awaiting moderation.", "nature-light"); ?></em>
        		<?php } else{ comment_text(); } ?>
        	</div><!--.comment-data-->

	<div class="spacer"></div>
	</div><!-- #comment-##  -->

<?php
} 


function nature_light_themescript(){
	if(!is_admin()){
		wp_enqueue_style('nature-light-style', get_stylesheet_uri());
		wp_enqueue_style('nature-light-color', get_template_directory_uri() . '/css/default.css');
		wp_enqueue_script('nature-light-dropdown-script', get_template_directory_uri() . '/js/dropdown.js', array('jquery'));

		if (is_singular()) {
			wp_enqueue_script('comment-reply');
		}
    }
}
add_action('wp_enqueue_scripts','nature_light_themescript');