<?php

function nature_light_header_setup() {
$args = array(
	// Default image
	'default-image'          => get_template_directory_uri() . '/images/banner.png',

	// Set height and width, with a maximum value for the width.
	'height'                 => 360,
	'width'                  => 980,
	'max-width'              => 980,

	// Support flexible height and width.
	'flex-height'            => true,
	'flex-width'             => false,

	// Callbacks for styling the header and the admin preview.
	'admin-head-callback'    => 'nature_light_admin_header',
	'admin-preview-callback' => 'nature_light_header_image',
);

	add_theme_support('custom-header', $args);
}
add_action( 'after_setup_theme', 'nature_light_header_setup' );


//Styles the header image displayed on the Appearance > Header admin panel.
function nature_light_admin_header() {
?>
	<style type="text/css" id="mm-admin-header-css">
	.appearance_page_custom-header #headimg {
		border: none;
		font-family: "Open Sans", Helvetica, Arial, sans-serif;
	}
	#headimg h1,
	#headimg h2 {
		line-height: 1.84615;
		margin: 0;
		padding: 0;
	}
	#headimg h1 {
		font-size: 26px;
	}
	#headimg h1 a {
		color: #515151;
		text-decoration: none;
	}
	#headimg h1 a:hover {
		color: #21759b !important; /* Has to override custom inline style. */
	}
	#headimg h2 {
		color: #757575;
		font-size: 13px;
		margin-bottom: 24px;
	}
	#headimg img {
		max-width: <?php echo get_theme_support( 'custom-header', 'max-width' ); ?>px;
	}
	</style>
<?php
}

//Output markup to be displayed on the Appearance > Header admin panel.
//This callback overrides the default markup displayed there.
function nature_light_header_image() {
	?>
	<div id="headimg">
		<?php $header_image = get_header_image();
		if ( ! empty( $header_image ) ) : ?>
			<img src="<?php echo esc_url( $header_image ); ?>" class="header-image" width="<?php echo get_custom_header()->width; ?>" height="<?php echo get_custom_header()->height; ?>" alt="" />
		<?php endif; ?>
	</div>
<?php } ?>